List invitations
Lists the invitations of an organization, in every state.
GET
Lists the invitations of an organization, in every state.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
organization*stringThe organization's ID.
Match
^org_[0-7][0-9a-hjkmnp-tv-z]{25}$pageSize?integerMaximum number of items to return. Defaults to 50; values above 500 are treated as 500.
Format
int32Range
0 <= valuepageToken?stringPage token from a previous response.
OK
application/json- response
invitations*array<>Invitations, oldest first.
nextPageToken*stringToken for the next page; empty on the last page.
curl -X GET 'https://api.kosem.ai/v1/organizations/string/invitations'Example Response
{
"invitations": [
{
"acceptor": "string",
"createTime": "2019-08-24T14:15:22Z",
"email": "string",
"expireTime": "2019-08-24T14:15:22Z",
"grants": [
{
"resource": "string",
"role": "string"
}
],
"inviter": "string",
"kind": "MEMBER",
"name": "string",
"state": "PENDING",
"updateTime": "2019-08-24T14:15:22Z"
}
],
"nextPageToken": "string"
}